#
# spec file for package octave-forge-nurbs
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define octpkg  nurbs
Name:           octave-forge-%{octpkg}
Version:        1.3.10
Release:        1.4
Summary:        Routines for Non-Uniform Rational B-Splines for Octave
License:        GPL-3.0+
Group:          Productivity/Scientific/Math
Url:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM nurbs-openmp.patch -- Fix build with openmp
Patch1:         nurbs-openmp.patch
BuildRequires:  gcc-c++
BuildRequires:  hdf5-devel
BuildRequires:  octave-devel
Requires:       octave-cli >= 3.8.0

%description
Collection of routines for the creation, and manipulation of
Non-Uniform Rational B-Splines (NURBS).
This is part of Octave-Forge project.

%prep
%setup -q -c %{name}-%{version}
%patch1 -p0
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}
%{octlib_dir}/%{octpkg}-%{version}

%changelog
* Wed Sep  9 2015 dmitry_r@opensuse.org
- Update to version 1.3.10
  * Compatibility with Octave 4.0
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 1.3.9
- Fix build with openmp
  * nurbs-openmp.patch
